Webshop API (v2) (5.3.2)

Download OpenAPI specification:

INFO

  • Using the download button at the top you can import this collection of endpoints in Postman

AUTHENTICATION

Pass your token via an Authorization header like this: Authorization: Bearer {token}.

OAuth2

This API uses OAuth 2 with the 'password' grant flow.

Security Scheme Type: OAuth2
Flow type: password
Token URL: /token
Refresh URL: /token

abandoned-carts

abandoned-carts

/abandoned-carts

Get all abandoned-carts

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "user" "user_customer" "customer_representative"
Example: include=user

Relations to include

append
string
Enum: "item_count" "total_price_after_taxes" "transport_costs" "total_price"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=da5d0398-2d2c-4f34-918a-a4503741d1dc

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

alerts

alerts

/alerts

Get all alerts

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "link" "text" "hosts" "collections" "pages"
Example: include=link

Relations to include

append
string
Value: "type_description"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=7afc6b89-b989-4b17-bb89-c2d211ac13ff

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/alerts

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "link" "text" "hosts" "collections" "pages"
Example: include=link

Relations to include

append
string
Value: "type_description"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/alerts/{alert-uuid}

Get a single item

path Parameters
alert-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "link" "text" "hosts" "collections" "pages"
Example: include=link

Relations to include

append
string
Value: "type_description"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/alerts/{alert-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
alert-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "link" "text" "hosts" "collections" "pages"
Example: include=link

Relations to include

append
string
Value: "type_description"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/alerts/{alert-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
alert-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

base-prices

base-prices

/base-prices

Get all base-prices

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Value: "product"
Example: include=product

Relations to include

object
Example: uuid=f1946176-248d-4be9-bae2-61b622882a31

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/base-prices

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Value: "product"
Example: include=product

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/base-prices/{base-price-uuid}

Get a single item

path Parameters
base-price-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "product"
Example: include=product

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/base-prices/{base-price-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
base-price-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "product"
Example: include=product

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/base-prices/{base-price-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
base-price-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

brands

brands

/brands

Get all brands

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "link" "media" "pages"
Example: include=link

Relations to include

object
Example: uuid=e0411ed8-fc1b-49b9-a66e-264a09acb7b4

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/brands

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "link" "media" "pages"
Example: include=link

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/brands/{brand-uuid}

Get a single item

path Parameters
brand-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "link" "media" "pages"
Example: include=link

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/brands/{brand-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
brand-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "link" "media" "pages"
Example: include=link

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/brands/{brand-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
brand-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

business-contexts

business-contexts

/business-contexts

Get all business-contexts

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=db1df994-a13c-432e-adda-020a4c920c37

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/business-contexts

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/business-contexts/{business-context-uuid}

Get a single item

path Parameters
business-context-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/business-contexts/{business-context-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
business-context-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/business-contexts/{business-context-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
business-context-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

callbacks

callbacks

/callbacks

Get all callbacks

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=b3f567b0-781f-4ee4-9353-1e8a026e54c4

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/callbacks

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/callbacks/{callback-uuid}

Get a single item

path Parameters
callback-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/callbacks/{callback-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
callback-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/callbacks/{callback-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
callback-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

carts

carts

/carts

Get all carts

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Value: "items"
Example: include=items

Relations to include

append
string
Enum: "item_count" "total_price_after_taxes"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=b2f97616-321b-4286-9f82-288061f603a6

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/carts/{cart-uuid}

Get a single item

path Parameters
cart-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "items"
Example: include=items

Relations to include

append
string
Enum: "item_count" "total_price_after_taxes"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/carts/{cart-uuid}/items

Get all carts.items

path Parameters
cart-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Value: "product"
Example: include=product

Relations to include

object
Example: uuid=404d5c71-857c-4845-9fec-f725e1895fee

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/carts/{cart-uuid}/items/{item-uuid}

Get a single item

path Parameters
cart-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
item-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "product"
Example: include=product

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

catalogs

catalogs

/catalogs

Get all catalogs

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=ea7420ec-2ce5-4ae1-b2ba-c9a000a5e585

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/catalogs

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/catalogs/{catalog-uuid}

Get a single item

path Parameters
catalog-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/catalogs/{catalog-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
catalog-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/catalogs/{catalog-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
catalog-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

collections

collections

/collections

Get all collections

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "media" "parent" "children" "redirect" "catalogues" "pages"
Example: include=media

Relations to include

append
string
Value: "href"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=512cc006-0d3f-43a0-a3c0-cf574ed2cbb1&code=modi&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/collections

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "media" "parent" "children" "redirect" "catalogues" "pages"
Example: include=media

Relations to include

append
string
Value: "href"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/collections/{collection-uuid}

Get a single item

path Parameters
collection-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "media" "parent" "children" "redirect" "catalogues" "pages"
Example: include=media

Relations to include

append
string
Value: "href"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/collections/{collection-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
collection-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "media" "parent" "children" "redirect" "catalogues" "pages"
Example: include=media

Relations to include

append
string
Value: "href"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/collections/{collection-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
collection-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

/collections/{collection-uuid}/children

Get all collections.children

path Parameters
collection-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "media" "parent" "children" "redirect" "catalogues" "pages"
Example: include=media

Relations to include

append
string
Value: "href"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=c240d01e-ecbb-488c-8c11-87d8535cdd34&code=cum&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/collections/{collection-uuid}/parent

Get all collections.parent

path Parameters
collection-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "media" "parent" "children" "redirect" "catalogues" "pages"
Example: include=media

Relations to include

append
string
Value: "href"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=0db36620-91d4-4b7e-8a9d-d0043cdf0fe6&code=ut&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/collections/{collection-uuid}/products

Get all collections.products

path Parameters
collection-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages"
Example: include=media

Relations to include

append
string
Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=c4a65bb8-25b0-407f-a8a8-bde109c2847f&code=44615589&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/collections/{collection-uuid}/products/{product-uuid}

Get a single item

path Parameters
collection-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
product-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages"
Example: include=media

Relations to include

append
string
Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

component-types

component-types

/component-types

Get all component-types

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=dfe34e42-c66f-4c09-b80f-955c1c07026c

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/component-types

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/component-types/{component-type-uuid}

Get a single item

path Parameters
component-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/component-types/{component-type-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
component-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/component-types/{component-type-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
component-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

countries

countries

/countries

Get all countries

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=fe144c64-91ff-4125-823c-192ae081ceed

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/countries

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/countries/{country-uuid}

Get a single item

path Parameters
country-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/countries/{country-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
country-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/countries/{country-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
country-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

delivery-type-rules

delivery-type-rules

/delivery-type-rules

Get all delivery-type-rules

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "delivery_type" "postal_codes" "quantity_discounts"
Example: include=delivery_type

Relations to include

object
Example: uuid=b8a83f91-3430-4175-a6e3-062e03a7311e

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/delivery-type-rules

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "delivery_type" "postal_codes" "quantity_discounts"
Example: include=delivery_type

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/delivery-type-rules/{delivery-type-rule-uuid}

Get a single item

path Parameters
delivery-type-rule-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "delivery_type" "postal_codes" "quantity_discounts"
Example: include=delivery_type

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/delivery-type-rules/{delivery-type-rule-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
delivery-type-rule-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "delivery_type" "postal_codes" "quantity_discounts"
Example: include=delivery_type

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/delivery-type-rules/{delivery-type-rule-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
delivery-type-rule-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

/delivery-type-rules/{delivery-type-rule-uuid}/relationships/postal-codes

Get all objects in the relation

path Parameters
delivery-type-rule-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/delivery-type-rules/{delivery-type-rule-uuid}/relationships/postal-codes

Add an item to the relation

Authorizations:
OAuth2
path Parameters
delivery-type-rule-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
Request Body schema: application/vnd.api+json
Array of objects

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": [
    ]
}

/delivery-type-rules/{delivery-type-rule-uuid}/relationships/postal-codes

Replace all items in a relation

Authorizations:
OAuth2
path Parameters
delivery-type-rule-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
Request Body schema: application/vnd.api+json
Array of objects

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": [
    ]
}

/delivery-type-rules/{delivery-type-rule-uuid}/relationships/postal-codes

Remove an item from the relation

Authorizations:
OAuth2
path Parameters
delivery-type-rule-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

delivery-types

delivery-types

/delivery-types

Get all delivery-types

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

append
string
Value: "is_pickup"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=130e2863-cd51-4a5c-bed1-326bb626aab1

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/delivery-types

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
append
string
Value: "is_pickup"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/delivery-types/{delivery-type-uuid}

Get a single item

path Parameters
delivery-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
append
string
Value: "is_pickup"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/delivery-types/{delivery-type-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
delivery-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
append
string
Value: "is_pickup"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/delivery-types/{delivery-type-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
delivery-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

eyecatchers

eyecatchers

/eyecatchers

Get all eyecatchers

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Value: "media"
Example: include=media

Relations to include

object
Example: uuid=e88e9df2-ef82-4573-934d-1d2503423e9b

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/eyecatchers

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Value: "media"
Example: include=media

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/eyecatchers/{eyecatcher-uuid}

Get a single item

path Parameters
eyecatcher-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "media"
Example: include=media

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/eyecatchers/{eyecatcher-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
eyecatcher-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "media"
Example: include=media

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/eyecatchers/{eyecatcher-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
eyecatcher-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

filter-presets

filter-presets

/filter-presets

Get all filter-presets

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "meta_data_1" "meta_data_2" "brand" "page" "publication"
Example: include=meta_data_1

Relations to include

object
Example: uuid=c5de3db4-51f9-4522-ae8d-0f8adb701ce6

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/filter-presets

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "meta_data_1" "meta_data_2" "brand" "page" "publication"
Example: include=meta_data_1

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/filter-presets/{filter-preset-uuid}

Get a single item

path Parameters
filter-preset-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "meta_data_1" "meta_data_2" "brand" "page" "publication"
Example: include=meta_data_1

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/filter-presets/{filter-preset-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
filter-preset-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "meta_data_1" "meta_data_2" "brand" "page" "publication"
Example: include=meta_data_1

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/filter-presets/{filter-preset-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
filter-preset-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

form-field-options

form-field-options

/form-field-options

Get all form-field-options

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Value: "field"
Example: include=field

Relations to include

object
Example: uuid=3b080334-a648-464c-9d71-afe78695b113

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/form-field-options

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Value: "field"
Example: include=field

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-field-options/{form-field-option-uuid}

Get a single item

path Parameters
form-field-option-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "field"
Example: include=field

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-field-options/{form-field-option-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
form-field-option-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "field"
Example: include=field

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-field-options/{form-field-option-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
form-field-option-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

form-fields

form-fields

/form-fields

Get all form-fields

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "variables" "step" "options"
Example: include=variables

Relations to include

object
Example: uuid=1d9c384c-699e-49ea-9490-eb7ceb6cc0e1

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/form-fields

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "variables" "step" "options"
Example: include=variables

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-fields/{form-field-uuid}

Get a single item

path Parameters
form-field-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "variables" "step" "options"
Example: include=variables

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-fields/{form-field-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
form-field-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "variables" "step" "options"
Example: include=variables

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-fields/{form-field-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
form-field-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

form-steps

form-steps

/form-steps

Get all form-steps

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "fields" "form"
Example: include=fields

Relations to include

object
Example: uuid=4e866b14-df43-4bc3-ac25-d7c7338e9c56

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/form-steps

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "fields" "form"
Example: include=fields

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-steps/{form-step-uuid}

Get a single item

path Parameters
form-step-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "fields" "form"
Example: include=fields

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-steps/{form-step-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
form-step-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "fields" "form"
Example: include=fields

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/form-steps/{form-step-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
form-step-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

forms

forms

/forms

Get all forms

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "active_version" "versions" "owner_mail" "visitor_mail" "redirect_page"
Example: include=active_version

Relations to include

append
string
Value: "form_entries_count"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=505f4107-8be5-4165-a9dc-b52f4abf23a9

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/forms

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "active_version" "versions" "owner_mail" "visitor_mail" "redirect_page"
Example: include=active_version

Relations to include

append
string
Value: "form_entries_count"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/forms/{form-uuid}

Get a single item

path Parameters
form-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "active_version" "versions" "owner_mail" "visitor_mail" "redirect_page"
Example: include=active_version

Relations to include

append
string
Value: "form_entries_count"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/forms/{form-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
form-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "active_version" "versions" "owner_mail" "visitor_mail" "redirect_page"
Example: include=active_version

Relations to include

append
string
Value: "form_entries_count"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/forms/{form-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
form-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

formulas

formulas

/formulas

Get all formulas

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=70661b2c-1939-4207-8bd3-5784fa47b31c

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/formulas

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/formulas/{formula-uuid}

Get a single item

path Parameters
formula-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/formulas/{formula-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
formula-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/formulas/{formula-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
formula-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

highlight-statuses

highlight-statuses

/highlight-statuses

Get all highlight-statuses

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Value: "products"
Example: include=products

Relations to include

object
Example: uuid=636cffff-46e9-4a3b-93f8-1fa2682c289e

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/highlight-statuses

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Value: "products"
Example: include=products

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/highlight-statuses/{highlight-status-uuid}

Get a single item

path Parameters
highlight-status-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "products"
Example: include=products

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/highlight-statuses/{highlight-status-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
highlight-status-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "products"
Example: include=products

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/highlight-statuses/{highlight-status-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
highlight-status-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

host-filters

host-filters

/host-filters

Get all host-filters

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "host" "field" "sign"
Example: include=host

Relations to include

object
Example: uuid=0f95450b-25ea-4953-bd6e-7b596c385121

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/host-filters

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "host" "field" "sign"
Example: include=host

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/host-filters/{host-filter-uuid}

Get a single item

path Parameters
host-filter-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "host" "field" "sign"
Example: include=host

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/host-filters/{host-filter-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
host-filter-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "host" "field" "sign"
Example: include=host

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/host-filters/{host-filter-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
host-filter-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

hosts

hosts

/hosts

Get all hosts

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Value: "business_context"
Example: include=business_context

Relations to include

append
string
Value: "full_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=09a844da-7d8b-45bd-ada6-678788f93ba4

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/hosts

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Value: "business_context"
Example: include=business_context

Relations to include

append
string
Value: "full_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/hosts/{host-uuid}

Get a single item

path Parameters
host-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "business_context"
Example: include=business_context

Relations to include

append
string
Value: "full_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/hosts/{host-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
host-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Value: "business_context"
Example: include=business_context

Relations to include

append
string
Value: "full_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/hosts/{host-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
host-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

html

html

/html

Get all html

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=95b807fb-fd8b-4057-a3db-9faa1846a940

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/html

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/html/{html-uuid}

Get a single item

path Parameters
html-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/html/{html-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
html-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/html/{html-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
html-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

mails

mails

/mails

Get all mails

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "sendgrid_template" "from" "to" "cc" "bcc" "visitor_forms" "owner_forms"
Example: include=sendgrid_template

Relations to include

object
Example: uuid=127256d7-70dc-467d-8b72-c7c8d63c3b72

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/mails

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "sendgrid_template" "from" "to" "cc" "bcc" "visitor_forms" "owner_forms"
Example: include=sendgrid_template

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/mails/{mail-uuid}

Get a single item

path Parameters
mail-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "sendgrid_template" "from" "to" "cc" "bcc" "visitor_forms" "owner_forms"
Example: include=sendgrid_template

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/mails/{mail-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
mail-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "sendgrid_template" "from" "to" "cc" "bcc" "visitor_forms" "owner_forms"
Example: include=sendgrid_template

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/mails/{mail-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
mail-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

media

media

/media

Get all media

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

append
string
Enum: "full_url" "thumb" "attributes"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example:

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/media

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

append
string
Enum: "full_url" "thumb" "attributes"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/x-www-form-urlencoded
uuid
required
string
type
required
string
collection
string
url
string
file
string
order_index
integer

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/media/{medium-uuid}

Get a single item

path Parameters
medium-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
append
string
Enum: "full_url" "thumb" "attributes"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/media/{medium-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
medium-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
append
string
Enum: "full_url" "thumb" "attributes"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/media/{medium-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
medium-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

menus

menus

/menus

Get all menus

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "parent" "page" "children"
Example: include=parent

Relations to include

append
string
Enum: "recursive_count" "items" "href" "is_visible"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=091e6616-ed0c-4293-8ed6-390387e33fbe&parent_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/menus

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "parent" "page" "children"
Example: include=parent

Relations to include

append
string
Enum: "recursive_count" "items" "href" "is_visible"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/menus/{menu-uuid}

Get a single item

path Parameters
menu-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "parent" "page" "children"
Example: include=parent

Relations to include

append
string
Enum: "recursive_count" "items" "href" "is_visible"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/menus/{menu-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
menu-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "parent" "page" "children"
Example: include=parent

Relations to include

append
string
Enum: "recursive_count" "items" "href" "is_visible"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/menus/{menu-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
menu-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

meta-data

meta-data

/meta-data

Get all meta-data

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "parent" "collections"
Example: include=parent

Relations to include

object
Example: uuid=3daf26d3-4a73-44a1-86f6-76fecbb81d40

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/meta-data

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "parent" "collections"
Example: include=parent

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/meta-data/{meta-datum-uuid}

Get a single item

path Parameters
meta-datum-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "parent" "collections"
Example: include=parent

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/meta-data/{meta-datum-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
meta-datum-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "parent" "collections"
Example: include=parent

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/meta-data/{meta-datum-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
meta-datum-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

options

options

/options

Get all options

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

object
Example: uuid=a5d4264e-1561-44e6-9b52-360388b832b4

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/options

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/options/{option-uuid}

Get a single item

path Parameters
option-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/options/{option-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
option-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/options/{option-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
option-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

order-types

order-types

/order-types

Get all order-types

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "owner_mail" "visitor_mail"
Example: include=owner_mail

Relations to include

object
Example: uuid=e0a45753-5db2-44ca-b222-8cfaaab1c649

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/order-types

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "owner_mail" "visitor_mail"
Example: include=owner_mail

Relations to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/order-types/{order-type-uuid}

Get a single item

path Parameters
order-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "owner_mail" "visitor_mail"
Example: include=owner_mail

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/order-types/{order-type-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
order-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "owner_mail" "visitor_mail"
Example: include=owner_mail

Relations to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/order-types/{order-type-uuid}

Delete an item

Authorizations:
OAuth2
path Parameters
order-type-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

orders

orders

/orders

Get all orders

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "customer" "payment_type" "delivery_type" "customer_is_picking_up_at_store" "order_type" "cart"
Example: include=customer

Relations to include

append
string
Enum: "full_name" "payment" "order_status" "invoice_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

object
Example: uuid=0b1acd0f-350c-41c8-90c4-9cfb8cc0312a&payment_type_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a&order_type_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a&delivery_type_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": [
    ],
  • "links": {
    },
  • "meta": {
    }
}

/orders

Create an item

Authorizations:
OAuth2
query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
include
string
Enum: "customer" "payment_type" "delivery_type" "customer_is_picking_up_at_store" "order_type" "cart"
Example: include=customer

Relations to include

append
string
Enum: "full_name" "payment" "order_status" "invoice_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/orders/{order-uuid}

Get a single item

path Parameters
order-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "customer" "payment_type" "delivery_type" "customer_is_picking_up_at_store" "order_type" "cart"
Example: include=customer

Relations to include

append
string
Enum: "full_name" "payment" "order_status" "invoice_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15

Responses

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

/orders/{order-uuid}

Update an item

Authorizations:
OAuth2
path Parameters
order-uuid
required
string <uuid>
Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a
query Parameters
include
string
Enum: "customer" "payment_type" "delivery_type" "customer_is_picking_up_at_store" "order_type" "cart"
Example: include=customer

Relations to include

append
string
Enum: "full_name" "payment" "order_status" "invoice_name"
Examples:
  • append=deposit - Single value
  • append=desposit,price,image - Multiple values

Calculated properties to include

locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
Request Body schema: application/vnd.api+json
required
object

Responses

Request samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

Response samples

Content type
application/vnd.api+json
{
  • "data": {
    }
}

page-versions

page-versions

/page-versions

Get all page-versions

query Parameters
locale
string
Example: locale=nl

Passing a locale as query parameter will make the api return translated strings instead of translatable objects

page
number
Example: page=1
limit
number [ 1 .. 1000 ]
Example: limit=15
sort
string
Enum: "created_at" "-created_at" "updated_at" "-updated_at"
Examples:
  • sort=created_at - Sort by `created_at` ascending
  • sort=-created_at - Sort by `created_at` descending

Field to sort by. May be prepended with - to sort descending.

include
string
Enum: "areas" "components"
Example: include=areas

Relations to include

append
string
[...]
